<?php
	get_header();
	the_post();
	
	//Get layout meta
	$layout = esc_html(get_post_meta($post->ID, '_ebor_post_layout', 1));
	if( '' == $layout || false == $layout || !(isset($layout)) )
		$layout = 'boxed';
	
	//Decide post width
	if( is_active_sidebar('primary') && 'boxed' == $layout || is_active_sidebar('primary') && 'unboxed' == $layout ){
		$class = 'col-sm-8';
	} else {
		$class = 'col-md-8 col-md-offset-2';
	}
	
	//Decide post appearance
	if( 'boxed' == $layout || 'boxed-no-sidebar' == $layout ){
		$class .= ' show-boxes';
	} else {
		$class .= ' hide-boxes';
	}
	
	echo ebor_page_title(get_the_title(), false, get_post_meta($post->ID, '_ebor_page_title_layout', 1), get_post_thumbnail_id());
	
	get_template_part('inc/content-wrapper-dark','open');
?>
  
<div class="blog single row classic-view">

	<div class="<?php echo esc_attr($class); ?> blog-content">
	
		<div class="blog-posts text-boxes">
			<div class="post box">
				
				<?php 
					get_template_part('inc/content-postformat', get_post_format());
					the_title('<h1 class="post-title">', '</h1>');
					get_template_part('inc/content-post','meta');
				?>
				
				<div class="article-single">
					<?php the_content(); ?>
				</div>
				
				<?php
					wp_link_pages();
					the_tags('<ul class="tag-list"><li>','</li> <li>','</li></ul>');
				?>
				
			</div>
		</div>

		<?php
			get_template_part('inc/content','author');
			
			if( comments_open() )
				comments_template();
		?>
	
	</div>
	
	<?php 
		if( is_active_sidebar('primary') && 'boxed' == $layout || is_active_sidebar('primary') && 'unboxed' == $layout )
			get_sidebar(); 
	?>

</div>
  
<?php 
	get_template_part('inc/content-wrapper','close');
	
	get_footer();